# eric7.WebBrowser.Bookmarks.NsHtmlReader

Module implementing a class to read Netscape HTML bookmark files.

### Global Attributes

None

### Classes

NsHtmlReader | Class implementing a reader object for Netscape HTML bookmark files.

### Functions

None

## NsHtmlReader

Class implementing a reader object for Netscape HTML bookmark files.

### Derived from

QObject

### Class Attributes

indentSize

### Class Methods

None

### Methods

NsHtmlReader | Constructor
read | Public method to read a Netscape HTML bookmark file.

### Static Methods

None

#### NsHtmlReader (Constructor)

NsHtmlReader()

Constructor

#### NsHtmlReader.read

read(fileNameOrDevice)

Public method to read a Netscape HTML bookmark file.

fileNameOrDevice
  name of the file to read (string) or reference to the device to read (QIODevice)

Return:
  reference to the root node (BookmarkNode)

Up